Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000236Core InformUnderstandingpublic2010-08-06 17:112010-10-28 00:30
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000236: Understanding as nothing causes an assertion violation
DescriptionInform reports:

An internal error has occurred: wrong way to handle object grammar. The current sentence is 'Understand "nothing" as nothing' ; the error was detected at line 725 of "Chapter 15/Using Kinds.w". This should never happen, and I am now halting in abject failure.
Minimal Source Text To Reproduce
There is a room.
Understand "nothing" as nothing.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000463)
graham (administrator)
2010-08-31 03:59

"I say nothing is quite what it seems / I say nothing is nothing" (P. Hammill). Fixed; there's now a problem message.

- Issue History
Date Modified Username Field Change
2010-08-06 17:11 EmacsUser New Issue
2010-08-08 20:19 jmcgrew Status new => acknowledged
2010-08-31 03:59 graham Note Added: 0000463
2010-08-31 03:59 graham Status acknowledged => resolved
2010-08-31 03:59 graham Resolution open => fixed
2010-08-31 03:59 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker